---
.livepatch_t1:
  variables:
    TFT_PLAN_URL: "https://gitlab.com/redhat/centos-stream/tests/kernel/test-plans.git"
    TFT_PLAN: "kpatch/livepatch-t1"
    TEST_PACKAGE_NAME_ARCHES: "kernel-x86_64 kernel-ppc64le kernel-s390x"
    JOB_NOTIFY: "ykopkova"
    TEST_JOB_NAME: livepatch_t1

.kpatch_t2:
  variables:
    TFT_PLAN_URL: "https://gitlab.com/redhat/centos-stream/tests/kernel/test-plans.git"
    TFT_PLAN: "kpatch/kpatch-t2"
    TFT_HARDWARE: "memory >= 4 GB"
    TEST_PACKAGE_NAME_ARCHES: "kernel-x86_64 kernel-ppc64le kernel-s390x"
    JOB_NOTIFY: "ykopkova"
    TEST_JOB_NAME: kpatch_t2

.kpatch_t1:
  variables:
    TFT_PLAN_URL: "https://gitlab.com/redhat/centos-stream/tests/kernel/test-plans.git"
    TFT_PLAN: "kpatch/kpatch-t1"
    TEST_SOURCE_PACKAGE_NAME: kpatch
    JOB_NOTIFY: "ykopkova"
    TEST_JOB_NAME: kpatch_t1
  parallel:
    matrix:
      - TEST_PACKAGE_NAME_ARCH: /kpatch-ppc64le/
      - TEST_PACKAGE_NAME_ARCH: /kpatch-s390x/
      - TEST_PACKAGE_NAME_ARCH: /kpatch-x86_64/
  rules:
    # the order of the rules matter
    - !reference [.skip_without_package_arch_match]
    - if: $_TEST_SOURCE_PACKAGE_NVR =~ /kpatch-.*/
